Subject: Re: bug#25269: Connection to davmail over IMAP returns error

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 12 Apr 2018 21:55:24 +0200

<[email-masked]> writes:

> This happens while configuring Gnus to connect to MS Exchange server
> over davmail. I configured davmail to connect to MS Exchange. Davmail and
> Gnus are on same machine. I checked through another email client
> (Thunderbird) that the configuration in davmail is correct and I am able
> to view the email.
>
> Emacs is on Windows 7.
>
> In Gnus I put in the below config in .gnus.el
> (setq gnus-select-method '(nnml ""))
> (setq mail-sources '((imap :server "127.0.0.1"
>                             :port 1143
>                             :authentication login
>                             :user "myemailaddress"
>                             :stream network)))
>
> Tried to connect to the server (davmail) at localhost:1143 and got the
> below stacktrace.
>
> Here is the stacktrace,
> Debugger entered--Lisp error: (error "Imap-mailbox-data is nil, prop
> recent value 0 mailbox nil buffer  *imap source*")
>    signal(error ("Imap-mailbox-data is nil, prop recent value 0 mailbox
> nil buffer  *imap source*"))
>    error("Imap-mailbox-data is nil, prop %s value %s mailbox %s buffer
> %s" recent 0 nil #<buffer  *imap source*>)
>    imap-mailbox-put(recent 0)

Emacs 25 had a new implementation of imap in Emacs, so this bug is
probably gone by now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no